Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.localsearch.decider.forager.finalist
Class StrategicOscillationByLevelFinalistPodium

    java.lang.Object
      org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter
          org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListenerAdapter
              org.optaplanner.core.impl.localsearch.decider.forager.finalist.AbstractFinalistPodium
                  org.optaplanner.core.impl.localsearch.decider.forager.finalist.StrategicOscillationByLevelFinalistPodium

All Implemented Interfaces:
  EventListener, FinalistPodium, LocalSearchPhaseLifecycleListener, SolverLifecycleListener

    public class StrategicOscillationByLevelFinalistPodium

extends AbstractFinalistPodium

Strategic oscillation, works well with Tabu search.

See Also:
  `FinalistPodium`

Field Summary
`protected Number[]` | `finalistLevelNumbers`
`protected Score` | `finalistScore`
`protected boolean` | `referenceBestScoreInsteadOfLastStepScore`
`protected Number[]` | `referenceLevelNumbers`

Fields inherited from class org.optaplanner.core.impl.localsearch.decider.forager.finalist.AbstractFinalistPodium
`finalistIsAccepted, finalistList, logger`

Constructor Summary
`StrategicOscillationByLevelFinalistPodium(boolean referenceBestScoreInsteadOfLastStepScore)`

Method Summary
`void` | `addMove(LocalSearchMoveScope moveScope)` See `Forager.addMove(LocalSearchMoveScope)`.
`void` | `phaseEnded(LocalSearchPhaseScope phaseScope)`
`void` | `stepStarted(LocalSearchStepScope stepScope)`

Methods inherited from class org.optaplanner.core.impl.localsearch.decider.forager.finalist.AbstractFinalistPodium
`pickMove`

Methods inherited from class org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListenerAdapter
`phaseStarted, stepEnded`

Methods inherited from class org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter
`solvingEnded, solvingStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListener
`phaseStarted, stepEnded`

Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener
`solvingEnded, solvingStarted`

Field Detail

### referenceBestScoreInsteadOfLastStepScore

    protected final boolean referenceBestScoreInsteadOfLastStepScore

### referenceLevelNumbers

    protected Number[] referenceLevelNumbers

### finalistScore

    protected Score finalistScore

### finalistLevelNumbers

    protected Number[] finalistLevelNumbers

Constructor Detail

### StrategicOscillationByLevelFinalistPodium

    public StrategicOscillationByLevelFinalistPodium(boolean referenceBestScoreInsteadOfLastStepScore)

Method Detail

### stepStarted

    public void stepStarted(LocalSearchStepScope stepScope)

  Specified by:
    `stepStarted` in interface `LocalSearchPhaseLifecycleListener`
  Overrides:
    `stepStarted` in class `AbstractFinalistPodium`

### addMove

    public void addMove(LocalSearchMoveScope moveScope)

  Description copied from interface: `FinalistPodium`
  See `Forager.addMove(LocalSearchMoveScope)`.

  Parameters:
    `moveScope` - never null

### phaseEnded

    public void phaseEnded(LocalSearchPhaseScope phaseScope)

  Specified by:
    `phaseEnded` in interface `LocalSearchPhaseLifecycleListener`
  Overrides:
    `phaseEnded` in class `AbstractFinalistPodium`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.